> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.voicecheap.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Ottenere le chiavi di verifica degli ID token

> Leggi il JSON Web Key Set pubblico usato per verificare le firme degli ID token VoiceCheap.

Leggi il JSON Web Key Set pubblico usato per verificare le firme degli ID token VoiceCheap.

```http theme={null}
GET https://api.voicecheap.ai/oauth/jwks
```

## Autenticazione

Nessuna.

## Esempi di richiesta

Segui la codifica e l'autenticazione documentate per questa route. L'involucro e le regole di idempotenza dell'API delle azioni si applicano solo alle invocazioni di azioni.

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET 'https://api.voicecheap.ai/oauth/jwks'
  ```

  ```javascript JavaScript theme={null}
  const input = {};
  const response = await fetch('https://api.voicecheap.ai/oauth/jwks', {
    method: 'GET',
    headers: {},
    redirect: 'manual',
  });
  console.log(response.status, await response.text());
  ```

  ```python Python theme={null}
  import os
  import requests

  response = requests.request(
      "GET",
      "https://api.voicecheap.ai/oauth/jwks",
      headers={},
      timeout=120,
      allow_redirects=False,
  )
  print(response.status_code, response.text)
  ```
</RequestExample>

## Risposta

Leggi il JSON Web Key Set pubblico usato per verificare le firme degli ID token VoiceCheap.

```json HTTP 200 theme={null}
{
  "keys": [
    {
      "kty": "RSA",
      "n": "l_9byS_IKjLQsZT2-tuGBrJH7a5DZWqUoyTRMRyzl-SetTGldXQ5kVSNz1ySXUyZq6PWkFMi1yZ8IPaFffSSJyNhop1XbJMRQHz_yJ9qi23BrL3x9IOAG68IJmJ1bBj3jF6mdXVvqP2jyy_iS3PElkZTVvFd8knge-jFmIdlXiieymtdwNQv1E1LAqi-FjL9f06MKVtvVEZNySC59TVsEBcUmzkCbEmDGyi59LOI5TektgU6N3vMj4cuTwfz0mjXIRRAFZUNwAg5w39FmttSIuXijC-S29PCG6MX4Q_RwAGmXP_MPuS7cTT35RT-eqZ4VT7frug-wSjjktGRxoXEtQ",
      "e": "AQAB",
      "use": "sig",
      "alg": "RS256",
      "kid": "uAejZ-V0CeTRBMLE7sKpQ8vQAVHZGbJEiCUra4mvKBE"
    }
  ]
}
```

## Intestazioni della risposta

```json theme={null}
{
  "Cache-Control": "no-store"
}
```

## Note sull'operazione

* Gli endpoint OpenID Connect restituiscono HTTP 404 quando l’integrazione di identità non è disponibile in questo ambiente. Controlla la discovery prima di basarti sulle funzioni di identità.
* Seleziona la chiave pubblica il cui kid corrisponde all’intestazione dell’ID token e verifica RS256. La risposta contiene solo chiavi pubbliche di verifica; non usare mai un ID token come token di accesso MCP.

## Errori

| Stato HTTP | Codice | Significato o risoluzione |
| - | - | - |
| 404 | `Not Found` | Gli endpoint OpenID Connect restituiscono HTTP 404 quando l’integrazione di identità non è disponibile in questo ambiente. Controlla la discovery prima di basarti sulle funzioni di identità. |


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.